<?php

/**
 * Implementation of hook_content_default_fields().
 */
function fgcf_content_default_fields() {
  module_load_include('inc', 'fgcf', 'fgcf.defaults');
  $args = func_get_args();
  return call_user_func_array('_fgcf_content_default_fields', $args);
}

/**
 * Implementation of hook_fieldgroup_default_groups().
 */
function fgcf_fieldgroup_default_groups() {
  module_load_include('inc', 'fgcf', 'fgcf.defaults');
  $args = func_get_args();
  return call_user_func_array('_fgcf_fieldgroup_default_groups', $args);
}

/**
 * Implementation of hook_node_info().
 */
function fgcf_node_info() {
  module_load_include('inc', 'fgcf', 'fgcf.features.node');
  $args = func_get_args();
  return call_user_func_array('_fgcf_node_info', $args);
}

/**
 * Implementation of hook_user_default_permissions().
 */
function fgcf_user_default_permissions() {
  module_load_include('inc', 'fgcf', 'fgcf.defaults');
  $args = func_get_args();
  return call_user_func_array('_fgcf_user_default_permissions', $args);
}
