<?php
// $Id$
/**
 * @file
 * Liste des formations proposée par un organisme passé en argument.
 */

$view = new view;
$view->name = 'fgcf_formations_par_organisme';
$view->description = 'FG Liste des formations assurées par un organisme';
$view->tag = 'FGCF';
$view->view_php = '';
$view->base_table = 'node';
$view->is_cacheable = FALSE;
$view->api_version = '3.0-alpha1';
$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

/* Display: Defaults */
$handler = $view->new_display('default', 'Defaults', 'default');
$handler->display->display_options['title'] = 'Formations proposées';
$handler->display->display_options['access']['type'] = 'none';
$handler->display->display_options['cache']['type'] = 'none';
$handler->display->display_options['exposed_form']['type'] = 'basic';
$handler->display->display_options['pager']['type'] = 'full';
$handler->display->display_options['style_plugin'] = 'table';
$handler->display->display_options['style_options']['columns'] = array(
  'title' => 'title',
  'tid' => 'tid',
  'description' => 'description',
);
$handler->display->display_options['style_options']['default'] = '-1';
$handler->display->display_options['style_options']['info'] = array(
  'title' => array(
    'sortable' => 0,
    'align' => '',
    'separator' => '',
  ),
  'tid' => array(
    'sortable' => 0,
    'align' => '',
    'separator' => '',
  ),
  'description' => array(
    'align' => '',
    'separator' => '',
  ),
);
$handler->display->display_options['style_options']['override'] = 1;
$handler->display->display_options['style_options']['sticky'] = 0;
/* Relationship: Taxonomy: Parent term */
$handler->display->display_options['relationships']['parent']['id'] = 'parent';
$handler->display->display_options['relationships']['parent']['table'] = 'term_hierarchy';
$handler->display->display_options['relationships']['parent']['field'] = 'parent';
$handler->display->display_options['relationships']['parent']['required'] = 0;
/* Field: Taxonomy: Term ID */
$handler->display->display_options['fields']['tid']['id'] = 'tid';
$handler->display->display_options['fields']['tid']['table'] = 'term_data';
$handler->display->display_options['fields']['tid']['field'] = 'tid';
$handler->display->display_options['fields']['tid']['relationship'] = 'parent';
$handler->display->display_options['fields']['tid']['label'] = 'ParentTid';
$handler->display->display_options['fields']['tid']['exclude'] = TRUE;
$handler->display->display_options['fields']['tid']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['tid']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['tid']['alter']['trim'] = 0;
$handler->display->display_options['fields']['tid']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['tid']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['tid']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['tid']['alter']['html'] = 0;
$handler->display->display_options['fields']['tid']['hide_empty'] = 0;
$handler->display->display_options['fields']['tid']['empty_zero'] = 0;
/* Field: Taxonomy: Term */
$handler->display->display_options['fields']['name']['id'] = 'name';
$handler->display->display_options['fields']['name']['table'] = 'term_data';
$handler->display->display_options['fields']['name']['field'] = 'name';
$handler->display->display_options['fields']['name']['relationship'] = 'parent';
$handler->display->display_options['fields']['name']['exclude'] = TRUE;
$handler->display->display_options['fields']['name']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['name']['alter']['make_link'] = 1;
$handler->display->display_options['fields']['name']['alter']['path'] = 'fgcf/thematique/[tid]';
$handler->display->display_options['fields']['name']['alter']['trim'] = 0;
$handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['name']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['name']['alter']['html'] = 0;
$handler->display->display_options['fields']['name']['hide_empty'] = 0;
$handler->display->display_options['fields']['name']['empty_zero'] = 0;
$handler->display->display_options['fields']['name']['link_to_taxonomy'] = 0;
/* Field: Taxonomy: Term description */
$handler->display->display_options['fields']['description']['id'] = 'description';
$handler->display->display_options['fields']['description']['table'] = 'term_data';
$handler->display->display_options['fields']['description']['field'] = 'description';
$handler->display->display_options['fields']['description']['relationship'] = 'parent';
$handler->display->display_options['fields']['description']['label'] = 'ParentDescription';
$handler->display->display_options['fields']['description']['exclude'] = TRUE;
$handler->display->display_options['fields']['description']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['description']['alter']['make_link'] = 1;
$handler->display->display_options['fields']['description']['alter']['path'] = 'fgcf/thematique/[tid]';
$handler->display->display_options['fields']['description']['alter']['trim'] = 1;
$handler->display->display_options['fields']['description']['alter']['max_length'] = '20';
$handler->display->display_options['fields']['description']['alter']['word_boundary'] = 0;
$handler->display->display_options['fields']['description']['alter']['ellipsis'] = 0;
$handler->display->display_options['fields']['description']['alter']['strip_tags'] = 1;
$handler->display->display_options['fields']['description']['alter']['html'] = 0;
$handler->display->display_options['fields']['description']['hide_empty'] = 0;
$handler->display->display_options['fields']['description']['empty_zero'] = 0;
/* Field: Taxonomy: Term ID */
$handler->display->display_options['fields']['tid_1']['id'] = 'tid_1';
$handler->display->display_options['fields']['tid_1']['table'] = 'term_data';
$handler->display->display_options['fields']['tid_1']['field'] = 'tid';
$handler->display->display_options['fields']['tid_1']['exclude'] = TRUE;
$handler->display->display_options['fields']['tid_1']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['tid_1']['alter']['text'] = '[description] / [tid_1]';
$handler->display->display_options['fields']['tid_1']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['tid_1']['alter']['trim'] = 0;
$handler->display->display_options['fields']['tid_1']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['tid_1']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['tid_1']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['tid_1']['alter']['html'] = 0;
$handler->display->display_options['fields']['tid_1']['hide_empty'] = 0;
$handler->display->display_options['fields']['tid_1']['empty_zero'] = 0;
/* Field: Taxonomy: Term description */
$handler->display->display_options['fields']['description_1']['id'] = 'description_1';
$handler->display->display_options['fields']['description_1']['table'] = 'term_data';
$handler->display->display_options['fields']['description_1']['field'] = 'description';
$handler->display->display_options['fields']['description_1']['exclude'] = TRUE;
$handler->display->display_options['fields']['description_1']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['description_1']['alter']['text'] = '[description] / <a href="/fgcf/thematique/[tid_1]">[description_1]</a>';
$handler->display->display_options['fields']['description_1']['alter']['make_link'] = 1;
$handler->display->display_options['fields']['description_1']['alter']['path'] = 'fgcf/thematique/[tid_1]';
$handler->display->display_options['fields']['description_1']['alter']['trim'] = 0;
$handler->display->display_options['fields']['description_1']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['description_1']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['description_1']['alter']['strip_tags'] = 1;
$handler->display->display_options['fields']['description_1']['alter']['html'] = 0;
$handler->display->display_options['fields']['description_1']['hide_empty'] = 0;
$handler->display->display_options['fields']['description_1']['empty_zero'] = 0;
/* Field: Global: Custom text */
$handler->display->display_options['fields']['nothing']['id'] = 'nothing';
$handler->display->display_options['fields']['nothing']['table'] = 'views';
$handler->display->display_options['fields']['nothing']['field'] = 'nothing';
$handler->display->display_options['fields']['nothing']['label'] = 'Thématique';
$handler->display->display_options['fields']['nothing']['alter']['text'] = '[name] / [description_1]';
$handler->display->display_options['fields']['nothing']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['nothing']['alter']['trim'] = 0;
$handler->display->display_options['fields']['nothing']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['nothing']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['nothing']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['nothing']['alter']['html'] = 0;
$handler->display->display_options['fields']['nothing']['hide_empty'] = 0;
$handler->display->display_options['fields']['nothing']['empty_zero'] = 0;
/* Field: Node: Title */
$handler->display->display_options['fields']['title']['id'] = 'title';
$handler->display->display_options['fields']['title']['table'] = 'node';
$handler->display->display_options['fields']['title']['field'] = 'title';
$handler->display->display_options['fields']['title']['label'] = 'Titre';
$handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['title']['alter']['trim'] = 0;
$handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['title']['alter']['html'] = 0;
$handler->display->display_options['fields']['title']['hide_empty'] = 0;
$handler->display->display_options['fields']['title']['empty_zero'] = 0;
$handler->display->display_options['fields']['title']['link_to_node'] = 1;
/* Sort criterion: Taxonomy: Term */
$handler->display->display_options['sorts']['name']['id'] = 'name';
$handler->display->display_options['sorts']['name']['table'] = 'term_data';
$handler->display->display_options['sorts']['name']['field'] = 'name';
$handler->display->display_options['sorts']['name']['relationship'] = 'parent';
/* Sort criterion: Taxonomy: Term */
$handler->display->display_options['sorts']['name_1']['id'] = 'name_1';
$handler->display->display_options['sorts']['name_1']['table'] = 'term_data';
$handler->display->display_options['sorts']['name_1']['field'] = 'name';
/* Sort criterion: Node: Title */
$handler->display->display_options['sorts']['title']['id'] = 'title';
$handler->display->display_options['sorts']['title']['table'] = 'node';
$handler->display->display_options['sorts']['title']['field'] = 'title';
/* Argument: Content: Organisme de formation (field_fgcf_fiche_organisme) */
$handler->display->display_options['arguments']['field_fgcf_fiche_organisme_nid']['id'] = 'field_fgcf_fiche_organisme_nid';
$handler->display->display_options['arguments']['field_fgcf_fiche_organisme_nid']['table'] = 'node_data_field_fgcf_fiche_organisme';
$handler->display->display_options['arguments']['field_fgcf_fiche_organisme_nid']['field'] = 'field_fgcf_fiche_organisme_nid';
$handler->display->display_options['arguments']['field_fgcf_fiche_organisme_nid']['default_action'] = 'default';
$handler->display->display_options['arguments']['field_fgcf_fiche_organisme_nid']['style_plugin'] = 'default_summary';
$handler->display->display_options['arguments']['field_fgcf_fiche_organisme_nid']['default_argument_type'] = 'node';
$handler->display->display_options['arguments']['field_fgcf_fiche_organisme_nid']['validate_type'] = 'node';
$handler->display->display_options['arguments']['field_fgcf_fiche_organisme_nid']['validate_options']['types'] = array(
  'fgcf_prestataire' => 'fgcf_prestataire',
);
$handler->display->display_options['arguments']['field_fgcf_fiche_organisme_nid']['validate_options']['access'] = 1;
$handler->display->display_options['arguments']['field_fgcf_fiche_organisme_nid']['validate_fail'] = 'empty';
$handler->display->display_options['arguments']['field_fgcf_fiche_organisme_nid']['break_phrase'] = 0;
$handler->display->display_options['arguments']['field_fgcf_fiche_organisme_nid']['not'] = 0;
/* Filter: Node: Published or admin */
$handler->display->display_options['filters']['status_extra']['id'] = 'status_extra';
$handler->display->display_options['filters']['status_extra']['table'] = 'node';
$handler->display->display_options['filters']['status_extra']['field'] = 'status_extra';
/* Filter: Node: Type */
$handler->display->display_options['filters']['type']['id'] = 'type';
$handler->display->display_options['filters']['type']['table'] = 'node';
$handler->display->display_options['filters']['type']['field'] = 'type';
$handler->display->display_options['filters']['type']['value'] = array(
  'fgcf_fiche' => 'fgcf_fiche',
);

/* Display: Block */
$handler = $view->new_display('block', 'Block', 'block_1');
$handler->display->display_options['block_description'] = 'FG Formations par organisme';
