<?php

/**
 * Helper to implementation of hook_node_info().
 */
function _fgcf_node_info() {
  $items = array(
    'fgcf_fiche' => array(
      'name' => t('FG: Fiche de formation'),
      'module' => 'features',
      'description' => t('Une fiche de formation décrit de manière structurée une formation proposée au personnel France Galop'),
      'has_title' => '1',
      'title_label' => t('Titre'),
      'has_body' => '0',
      'body_label' => '',
      'min_word_count' => '0',
      'help' => '',
    ),
    'fgcf_prestataire' => array(
      'name' => t('FG: Prestataire de formation'),
      'module' => 'features',
      'description' => t('Un prestataire est une entité proposant des cours au catalogue de France Galop'),
      'has_title' => '1',
      'title_label' => t('Entité'),
      'has_body' => '1',
      'body_label' => t('Description'),
      'min_word_count' => '0',
      'help' => '',
    ),
    'fgcf_thematique' => array(
      'name' => t('FG Thématique de formation'),
      'module' => 'features',
      'description' => t('Thématique de formation, correspondant à un terme de premier niveau du vocabulaire des thématiques.'),
      'has_title' => '1',
      'title_label' => t('Titre'),
      'has_body' => '1',
      'body_label' => t('Description'),
      'min_word_count' => '0',
      'help' => '',
    ),
  );
  return $items;
}
