<?php
// $Id$
/**
 * @file
 * Liste des formations proposées dans un ensemble de formats
 */

$view = new view;
$view->name = 'fgcf_formations_par_format';
$view->description = 'FG Formations par Format';
$view->tag = 'FGCF';
$view->view_php = '';
$view->base_table = 'node';
$view->is_cacheable = FALSE;
$view->api_version = '3.0-alpha1';
$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

/* Display: Defaults */
$handler = $view->new_display('default', 'Defaults', 'default');
$handler->display->display_options['group_by'] = TRUE;
$handler->display->display_options['access']['type'] = 'none';
$handler->display->display_options['cache']['type'] = 'none';
$handler->display->display_options['exposed_form']['type'] = 'basic';
$handler->display->display_options['pager']['type'] = 'full';
$handler->display->display_options['pager']['options']['items_per_page'] = '10';
$handler->display->display_options['pager']['options']['offset'] = '0';
$handler->display->display_options['pager']['options']['id'] = '0';
$handler->display->display_options['style_plugin'] = 'table';
$handler->display->display_options['style_options']['columns'] = array(
  'nid' => 'nid',
  'name' => 'name',
  'name_1' => 'name_1',
  'title' => 'title',
  'field_fgcf_fiche_format_value' => 'field_fgcf_fiche_format_value',
);
$handler->display->display_options['style_options']['default'] = '-1';
$handler->display->display_options['style_options']['info'] = array(
  'nid' => array(
    'sortable' => 0,
    'align' => '',
    'separator' => '',
  ),
  'name' => array(
    'sortable' => 0,
    'align' => '',
    'separator' => '',
  ),
  'name_1' => array(
    'sortable' => 0,
    'align' => '',
    'separator' => '',
  ),
  'title' => array(
    'sortable' => 0,
    'align' => '',
    'separator' => '',
  ),
  'field_fgcf_fiche_format_value' => array(
    'align' => '',
    'separator' => '',
  ),
);
$handler->display->display_options['style_options']['override'] = 1;
$handler->display->display_options['style_options']['sticky'] = 0;
/* Header: Global: Text area */
$handler->display->display_options['header']['area']['id'] = 'area';
$handler->display->display_options['header']['area']['table'] = 'views';
$handler->display->display_options['header']['area']['field'] = 'area';
$handler->display->display_options['header']['area']['empty'] = FALSE;
/* Empty text: Global: Text area */
$handler->display->display_options['empty']['area']['id'] = 'area';
$handler->display->display_options['empty']['area']['table'] = 'views';
$handler->display->display_options['empty']['area']['field'] = 'area';
$handler->display->display_options['empty']['area']['label'] = '';
$handler->display->display_options['empty']['area']['empty'] = FALSE;
$handler->display->display_options['empty']['area']['content'] = '<p>Pas de résultats</p>';
$handler->display->display_options['empty']['area']['format'] = '1';
/* Relationship: Taxonomy: Parent term */
$handler->display->display_options['relationships']['parent']['id'] = 'parent';
$handler->display->display_options['relationships']['parent']['table'] = 'term_hierarchy';
$handler->display->display_options['relationships']['parent']['field'] = 'parent';
$handler->display->display_options['relationships']['parent']['required'] = 0;
/* Relationship: Content: Organisme de formation (field_fgcf_fiche_organisme) */
$handler->display->display_options['relationships']['field_fgcf_fiche_organisme_nid']['id'] = 'field_fgcf_fiche_organisme_nid';
$handler->display->display_options['relationships']['field_fgcf_fiche_organisme_nid']['table'] = 'node_data_field_fgcf_fiche_organisme';
$handler->display->display_options['relationships']['field_fgcf_fiche_organisme_nid']['field'] = 'field_fgcf_fiche_organisme_nid';
$handler->display->display_options['relationships']['field_fgcf_fiche_organisme_nid']['required'] = 0;
$handler->display->display_options['relationships']['field_fgcf_fiche_organisme_nid']['delta'] = '-1';
/* Field: Node: Nid */
$handler->display->display_options['fields']['nid']['id'] = 'nid';
$handler->display->display_options['fields']['nid']['table'] = 'node';
$handler->display->display_options['fields']['nid']['field'] = 'nid';
$handler->display->display_options['fields']['nid']['exclude'] = TRUE;
$handler->display->display_options['fields']['nid']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['nid']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['nid']['alter']['trim'] = 0;
$handler->display->display_options['fields']['nid']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['nid']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['nid']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['nid']['alter']['html'] = 0;
$handler->display->display_options['fields']['nid']['hide_empty'] = 0;
$handler->display->display_options['fields']['nid']['empty_zero'] = 0;
$handler->display->display_options['fields']['nid']['link_to_node'] = 1;
/* Field: Taxonomy: Term */
$handler->display->display_options['fields']['name']['id'] = 'name';
$handler->display->display_options['fields']['name']['table'] = 'term_data';
$handler->display->display_options['fields']['name']['field'] = 'name';
$handler->display->display_options['fields']['name']['relationship'] = 'parent';
$handler->display->display_options['fields']['name']['label'] = 'Thématique';
$handler->display->display_options['fields']['name']['exclude'] = TRUE;
$handler->display->display_options['fields']['name']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['name']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['name']['alter']['trim'] = 0;
$handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['name']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['name']['alter']['html'] = 0;
$handler->display->display_options['fields']['name']['hide_empty'] = 0;
$handler->display->display_options['fields']['name']['empty_zero'] = 0;
$handler->display->display_options['fields']['name']['link_to_taxonomy'] = 1;
/* Field: Taxonomy: Term */
$handler->display->display_options['fields']['name_1']['id'] = 'name_1';
$handler->display->display_options['fields']['name_1']['table'] = 'term_data';
$handler->display->display_options['fields']['name_1']['field'] = 'name';
$handler->display->display_options['fields']['name_1']['label'] = '';
$handler->display->display_options['fields']['name_1']['exclude'] = TRUE;
$handler->display->display_options['fields']['name_1']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['name_1']['alter']['text'] = '[name]/[name_1]';
$handler->display->display_options['fields']['name_1']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['name_1']['alter']['trim'] = 0;
$handler->display->display_options['fields']['name_1']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['name_1']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['name_1']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['name_1']['alter']['html'] = 0;
$handler->display->display_options['fields']['name_1']['hide_empty'] = 0;
$handler->display->display_options['fields']['name_1']['empty_zero'] = 0;
$handler->display->display_options['fields']['name_1']['link_to_taxonomy'] = 1;
/* Field: Global: Custom text */
$handler->display->display_options['fields']['nothing']['id'] = 'nothing';
$handler->display->display_options['fields']['nothing']['table'] = 'views';
$handler->display->display_options['fields']['nothing']['field'] = 'nothing';
$handler->display->display_options['fields']['nothing']['label'] = 'Thématique';
$handler->display->display_options['fields']['nothing']['alter']['text'] = '[name]/[name_1]';
$handler->display->display_options['fields']['nothing']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['nothing']['alter']['trim'] = 0;
$handler->display->display_options['fields']['nothing']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['nothing']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['nothing']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['nothing']['alter']['html'] = 0;
$handler->display->display_options['fields']['nothing']['hide_empty'] = 0;
$handler->display->display_options['fields']['nothing']['empty_zero'] = 0;
/* Field: Node: Title */
$handler->display->display_options['fields']['title']['id'] = 'title';
$handler->display->display_options['fields']['title']['table'] = 'node';
$handler->display->display_options['fields']['title']['field'] = 'title';
$handler->display->display_options['fields']['title']['label'] = 'Titre';
$handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['title']['alter']['trim'] = 0;
$handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['title']['alter']['html'] = 0;
$handler->display->display_options['fields']['title']['hide_empty'] = 0;
$handler->display->display_options['fields']['title']['empty_zero'] = 0;
$handler->display->display_options['fields']['title']['link_to_node'] = 1;
/* Field: Content: Organisme de formation (field_fgcf_fiche_organisme) */
$handler->display->display_options['fields']['field_fgcf_fiche_organisme_nid']['id'] = 'field_fgcf_fiche_organisme_nid';
$handler->display->display_options['fields']['field_fgcf_fiche_organisme_nid']['table'] = 'node_data_field_fgcf_fiche_organisme';
$handler->display->display_options['fields']['field_fgcf_fiche_organisme_nid']['field'] = 'field_fgcf_fiche_organisme_nid';
$handler->display->display_options['fields']['field_fgcf_fiche_organisme_nid']['label'] = 'Organisme';
$handler->display->display_options['fields']['field_fgcf_fiche_organisme_nid']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['field_fgcf_fiche_organisme_nid']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['field_fgcf_fiche_organisme_nid']['alter']['trim'] = 0;
$handler->display->display_options['fields']['field_fgcf_fiche_organisme_nid']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['field_fgcf_fiche_organisme_nid']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['field_fgcf_fiche_organisme_nid']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['field_fgcf_fiche_organisme_nid']['alter']['html'] = 0;
$handler->display->display_options['fields']['field_fgcf_fiche_organisme_nid']['hide_empty'] = 0;
$handler->display->display_options['fields']['field_fgcf_fiche_organisme_nid']['empty_zero'] = 0;
$handler->display->display_options['fields']['field_fgcf_fiche_organisme_nid']['link_to_node'] = 0;
$handler->display->display_options['fields']['field_fgcf_fiche_organisme_nid']['label_type'] = 'custom';
$handler->display->display_options['fields']['field_fgcf_fiche_organisme_nid']['multiple']['group'] = 1;
$handler->display->display_options['fields']['field_fgcf_fiche_organisme_nid']['multiple']['multiple_reversed'] = 0;
/* Field: Content: Format de cours (field_fgcf_fiche_format) */
$handler->display->display_options['fields']['field_fgcf_fiche_format_value']['id'] = 'field_fgcf_fiche_format_value';
$handler->display->display_options['fields']['field_fgcf_fiche_format_value']['table'] = 'node_data_field_fgcf_fiche_format';
$handler->display->display_options['fields']['field_fgcf_fiche_format_value']['field'] = 'field_fgcf_fiche_format_value';
$handler->display->display_options['fields']['field_fgcf_fiche_format_value']['label'] = 'Format de cours';
$handler->display->display_options['fields']['field_fgcf_fiche_format_value']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['field_fgcf_fiche_format_value']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['field_fgcf_fiche_format_value']['alter']['trim'] = 0;
$handler->display->display_options['fields']['field_fgcf_fiche_format_value']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['field_fgcf_fiche_format_value']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['field_fgcf_fiche_format_value']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['field_fgcf_fiche_format_value']['alter']['html'] = 0;
$handler->display->display_options['fields']['field_fgcf_fiche_format_value']['hide_empty'] = 0;
$handler->display->display_options['fields']['field_fgcf_fiche_format_value']['empty_zero'] = 0;
$handler->display->display_options['fields']['field_fgcf_fiche_format_value']['link_to_node'] = 0;
$handler->display->display_options['fields']['field_fgcf_fiche_format_value']['multiple']['group'] = 1;
$handler->display->display_options['fields']['field_fgcf_fiche_format_value']['multiple']['multiple_reversed'] = 0;
/* Sort criterion: Taxonomy: Term */
$handler->display->display_options['sorts']['name']['id'] = 'name';
$handler->display->display_options['sorts']['name']['table'] = 'term_data';
$handler->display->display_options['sorts']['name']['field'] = 'name';
$handler->display->display_options['sorts']['name']['relationship'] = 'parent';
/* Sort criterion: Taxonomy: Term */
$handler->display->display_options['sorts']['name_1']['id'] = 'name_1';
$handler->display->display_options['sorts']['name_1']['table'] = 'term_data';
$handler->display->display_options['sorts']['name_1']['field'] = 'name';
/* Sort criterion: Node: Title */
$handler->display->display_options['sorts']['title']['id'] = 'title';
$handler->display->display_options['sorts']['title']['table'] = 'node';
$handler->display->display_options['sorts']['title']['field'] = 'title';
$handler->display->display_options['sorts']['title']['relationship'] = 'field_fgcf_fiche_organisme_nid';
/* Argument: Content: Format de cours (field_fgcf_fiche_format) */
$handler->display->display_options['arguments']['field_fgcf_fiche_format_value']['id'] = 'field_fgcf_fiche_format_value';
$handler->display->display_options['arguments']['field_fgcf_fiche_format_value']['table'] = 'node_data_field_fgcf_fiche_format';
$handler->display->display_options['arguments']['field_fgcf_fiche_format_value']['field'] = 'field_fgcf_fiche_format_value';
$handler->display->display_options['arguments']['field_fgcf_fiche_format_value']['default_action'] = 'empty';
$handler->display->display_options['arguments']['field_fgcf_fiche_format_value']['style_plugin'] = 'default_summary';
$handler->display->display_options['arguments']['field_fgcf_fiche_format_value']['style_options']['items_per_page'] = '25';
$handler->display->display_options['arguments']['field_fgcf_fiche_format_value']['default_argument_type'] = 'fixed';
$handler->display->display_options['arguments']['field_fgcf_fiche_format_value']['validate_type'] = 'taxonomy_term';
$handler->display->display_options['arguments']['field_fgcf_fiche_format_value']['validate_options']['vids'] = array(
  '2' => 2,
);
$handler->display->display_options['arguments']['field_fgcf_fiche_format_value']['validate_options']['type'] = 'tids';
$handler->display->display_options['arguments']['field_fgcf_fiche_format_value']['validate_options']['transform'] = 0;
$handler->display->display_options['arguments']['field_fgcf_fiche_format_value']['break_phrase'] = 1;
$handler->display->display_options['arguments']['field_fgcf_fiche_format_value']['not'] = 0;
/* Filter: Node: Type */
$handler->display->display_options['filters']['type']['id'] = 'type';
$handler->display->display_options['filters']['type']['table'] = 'node';
$handler->display->display_options['filters']['type']['field'] = 'type';
$handler->display->display_options['filters']['type']['value'] = array(
  'fgcf_fiche' => 'fgcf_fiche',
);
/* Filter: Node: Published or admin */
$handler->display->display_options['filters']['status_extra']['id'] = 'status_extra';
$handler->display->display_options['filters']['status_extra']['table'] = 'node';
$handler->display->display_options['filters']['status_extra']['field'] = 'status_extra';
